PETSc version 3.15.5
Fix/Edit manual page

# MatSeqAIJSetTotalPreallocation

Sets an upper bound on the total number of expected nonzeros in the matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSeqAIJSetTotalPreallocation(Mat A,PetscInt nztotal)

### Input Parameters

| A | - the SeqAIJ matrix
| nztotal | - bound on the number of nonzeros

### Notes

This can be called if you will be provided the matrix row by row (from row zero) with sorted column indices for each row. Simply call MatSetValues() after this call to provide the matrix entries in the usual manner. This matrix may be used as always with multiple matrix assemblies.

### See Also

MatSetOption(), MAT_SORTED_FULL, MatSetValues(), MatSeqAIJSetPreallocation()

### Level

advanced

### Location

src/mat/impls/aij/seq/aij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages